JavaScript
import Stigg from '@stigg/typescript';
const client = new Stigg({
apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});
const feature = await client.v1.features.archiveFeature('x');
console.log(feature.data);import os
from stigg import Stigg
client = Stigg(
api_key=os.environ.get("STIGG_API_KEY"), # This is the default and can be omitted
)
feature = client.v1.features.archive_feature(
id="x",
)
print(feature.data)package main
import (
"context"
"fmt"
"github.com/stiggio/stigg-go"
"github.com/stiggio/stigg-go/option"
)
func main() {
client := stigg.NewClient(
option.WithAPIKey("My API Key"),
)
feature, err := client.V1.Features.ArchiveFeature(
context.TODO(),
"x",
stigg.V1FeatureArchiveFeatureParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", feature.Data)
}package io.stigg.example;
import io.stigg.client.StiggClient;
import io.stigg.client.okhttp.StiggOkHttpClient;
import io.stigg.models.v1.features.Feature;
import io.stigg.models.v1.features.FeatureArchiveFeatureParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
StiggClient client = StiggOkHttpClient.fromEnv();
Feature feature = client.v1().features().archiveFeature("x");
}
}require "stigg"
stigg = Stigg::Client.new(api_key: "My API Key")
feature = stigg.v1.features.archive_feature("x")
puts(feature)using System;
using Stigg.Client;
using Stigg.Client.Models.V1.Features;
StiggClient client = new();
FeatureArchiveFeatureParams parameters = new() { ID = "x" };
var feature = await client.V1.Features.ArchiveFeature(parameters);
Console.WriteLine(feature);stigg v1:features archive-feature \
--api-key 'My API Key' \
--id xcurl --request POST \
--url https://api.stigg.io/api/v1/features/{id}/archive \
--header 'X-API-KEY: <api-key>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stigg.io/api/v1/features/{id}/archive",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": "feature-api-calls",
"displayName": "API Calls",
"description": "Number of API calls allowed per month",
"featureType": "NUMBER",
"meterType": "INCREMENTAL",
"featureUnits": "call",
"featureUnitsPlural": "calls",
"featureStatus": "SUSPENDED",
"unitTransformation": null,
"enumConfiguration": null,
"metadata": {},
"createdAt": "2025-10-26T10:00:00.000Z",
"updatedAt": "2025-10-26T10:00:00.000Z"
}
}{
"message": "<string>"
}{
"message": "<string>",
"code": "Unauthenticated"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"code": "RateLimitExceeded"
}Features
Archive feature
Archives a feature, preventing it from being used in new entitlements.
POST
/
api
/
v1
/
features
/
{id}
/
archive
JavaScript
import Stigg from '@stigg/typescript';
const client = new Stigg({
apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});
const feature = await client.v1.features.archiveFeature('x');
console.log(feature.data);import os
from stigg import Stigg
client = Stigg(
api_key=os.environ.get("STIGG_API_KEY"), # This is the default and can be omitted
)
feature = client.v1.features.archive_feature(
id="x",
)
print(feature.data)package main
import (
"context"
"fmt"
"github.com/stiggio/stigg-go"
"github.com/stiggio/stigg-go/option"
)
func main() {
client := stigg.NewClient(
option.WithAPIKey("My API Key"),
)
feature, err := client.V1.Features.ArchiveFeature(
context.TODO(),
"x",
stigg.V1FeatureArchiveFeatureParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", feature.Data)
}package io.stigg.example;
import io.stigg.client.StiggClient;
import io.stigg.client.okhttp.StiggOkHttpClient;
import io.stigg.models.v1.features.Feature;
import io.stigg.models.v1.features.FeatureArchiveFeatureParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
StiggClient client = StiggOkHttpClient.fromEnv();
Feature feature = client.v1().features().archiveFeature("x");
}
}require "stigg"
stigg = Stigg::Client.new(api_key: "My API Key")
feature = stigg.v1.features.archive_feature("x")
puts(feature)using System;
using Stigg.Client;
using Stigg.Client.Models.V1.Features;
StiggClient client = new();
FeatureArchiveFeatureParams parameters = new() { ID = "x" };
var feature = await client.V1.Features.ArchiveFeature(parameters);
Console.WriteLine(feature);stigg v1:features archive-feature \
--api-key 'My API Key' \
--id xAuthorizations
Server API Key
Headers
Account ID — optional when authenticating with a user JWT (Bearer token); falls back to the user's first membership. Ignored for API-key auth.
Environment ID — required when authenticating with a user JWT (Bearer token) on environment-scoped endpoints. Ignored for API-key auth (env is intrinsic to the key).
Path Parameters
The unique identifier of the entity
Required string length:
1 - 255Response
The archived feature object.
Response object
Feature configuration object
Show child attributes
Show child attributes
⌘I
